# Class: c3.Plot.Layer.Swimlane.Segment

Defined in: | js/c3-layers.coffee
Inherits: | c3.Plot.Layer.Swimlane

## Overview

TODO: Better threshold for determining which segments get labels. Currently it is any segment > 50 pixels wide.

A swimlane layer for drawing horizontal segments in each swimlane.

_Set `label_options.text` to define labels for the segments._ The following c3.Selection members are made available if appropriate:

## Extensibility

The following c3.Selection members are made available if appropriate:

- rects - svg:rect for each segment

### Author:

- Douglas Armstrong

## Direct Known Subclasses

c3.Plot.Layer.Swimlane.Flamechart

## Variables Summary

version =

      0.1

type =

      'segment'

dx =

      null

  REQUIRED [Function] Accessor to get the width of the segment

key =

      undefined

  [Function] Key accessor to uniquely identify the segment. Defining this improves performance for redraws.

filter =

      undefined

  [Function] Accessor to determine if an element should be rendered

value =

      undefined

  [Function] Value accessor for each segment. Used when limiting the number of elements. Defaults to dx.

limit_elements =

      undefined

  [Number] Specifies the maximum number of segments this layer will draw. Smaller segments are elided first.

rect_options =

      undefined

  [c3.Selection.Options] Options for the svg:rect nodes for each segment

label_options =

      undefined

  [c3.Selection.Options] Options for the label svg:text nodes for each segment

### Variable inherited from c3.Plot.Layer.Swimlane

type dy hover lane_options version _next_uid data name class static_data h v x y options handlers restyle

## Instance Method Summary

- # (void) _init() Bound
- # (void) _hover_datum(x, swimlane) Bound
- # (void) _update() Bound
- # (void) _draw(origin) Bound
- # (void) _style(style_new) Bound

## Inherited Method Summary

### Methods inherited from c3.Plot.Layer.Swimlane

#_init #_size #_update #_draw #_style #init #size #update #draw #style #zoom #redraw #scale #min_x #max_x #min_y #max_y

## Instance Method Details

# (void) _init() Bound

# (void) _hover_datum(x, swimlane) Bound

# (void) _update() Bound

# (void) _draw(origin) Bound

# (void) _style(style_new) Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input